> For the complete documentation index, see [llms.txt](https://docs.matrixian.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.matrixian.com/woningdata/woningfotos-api.md).

# Woningfoto's API

## GET /house-images

> Returns photos of a property object.

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"1.0.0"},"servers":[{"url":"https://api.matrixian.com/v1","description":"Matrixian API"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"{{API_KEY}}"}},"schemas":{"AddressInput":{"properties":{"postalCode":{"type":"string","title":"Postalcode","description":"Postal code"},"houseNumber":{"type":"integer","title":"Housenumber","description":"House number"},"houseLetter":{"title":"Houseletter","description":"House letter","type":"string","nullable":true},"houseNumberExt":{"title":"Housenumberext","description":"House number extension","type":"string","nullable":true}},"type":"object","required":["postalCode","houseNumber"],"title":"AddressInput"},"HouseImagesResponse":{"properties":{"address":{"description":"Address","allOf":[{"$ref":"#/components/schemas/Address"}]},"imagesDate":{"type":"string","format":"date","title":"Imagesdate","description":"Date of the images"},"images":{"items":{"type":"string"},"type":"array","title":"Images","description":"List of image URLs of the property."}},"type":"object","required":["address","imagesDate","images"],"title":"HouseImagesResponse"},"Address":{"properties":{"postalCode":{"description":"Postal code","title":"Postalcode","type":"string"},"houseNumber":{"description":"House number","title":"Housenumber","type":"integer"},"houseLetter":{"default":null,"description":"House letter","title":"Houseletter","type":"string","nullable":true},"houseNumberExt":{"default":null,"description":"House number extension","title":"Housenumberext","type":"string","nullable":true}},"required":["postalCode","houseNumber"],"title":"Address","type":"object"},"ErrorObject":{"properties":{"code":{"type":"integer","title":"Code"},"message":{"type":"string","title":"Message"},"errors":{"items":{"$ref":"#/components/schemas/ErrorDetail"},"type":"array","title":"Errors"}},"type":"object","required":["code","message","errors"],"title":"ErrorObject"},"ErrorDetail":{"properties":{"reason":{"type":"string","title":"Reason"},"message":{"type":"string","title":"Message"}},"type":"object","required":["reason","message"],"title":"ErrorDetail"}}},"paths":{"/house-images":{"get":{"description":"Returns photos of a property object.","operationId":"HouseImages","parameters":[{"description":"Postal code","required":true,"style":"form","explode":true,"schema":{"type":"string"},"name":"postalCode","in":"query"},{"description":"House number","required":true,"style":"form","explode":true,"schema":{"type":"integer"},"name":"houseNumber","in":"query"},{"description":"House letter","required":false,"style":"form","explode":true,"schema":{"type":"string"},"name":"houseLetter","in":"query"},{"description":"House number extension","required":false,"style":"form","explode":true,"schema":{"type":"string"},"name":"houseNumberExt","in":"query"}],"responses":{"200":{"description":"HouseImagesResponse","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/AddressInput"},"data":{"$ref":"#/components/schemas/HouseImagesResponse"},"error":{"additionalProperties":{"type":"string"},"type":"object"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["data","status"]}}}},"400":{"description":"HTTP 400","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/AddressInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"401":{"description":"HTTP 401","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/AddressInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"403":{"description":"HTTP 403","content":{"application/json":{"schema":{"properties":{"message":{"type":"string"}},"type":"object","required":["message"]}}}},"404":{"description":"HTTP 404","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/AddressInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"500":{"description":"HTTP 500","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/AddressInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}}}}}}}
```

## GET /get\_front\_view

> Retrieve URLs for images with front views of objects.

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"1.0.0"},"servers":[{"url":"https://api.matrixian.com/v1","description":"Matrixian API"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"{{API_KEY}}"}},"schemas":{"GetFrontViewInput":{"properties":{"bagNumIds":{"items":{"type":"string"},"type":"array","title":"Bagnumids"}},"type":"object","required":["bagNumIds"],"title":"GetFrontViewInput"},"FrontViewImageResponse":{"properties":{"items":{"items":{"$ref":"#/components/schemas/FrontViewImage"},"type":"array","title":"Items"}},"type":"object","required":["items"],"title":"FrontViewImageResponse"},"FrontViewImage":{"properties":{"imageUrl":{"default":null,"description":"URL of the front view image of the property.","title":"Imageurl","type":"string","nullable":true},"numberId":{"description":"BAG nummeraanduiding ID of the property.","title":"Numberid","type":"string"},"source":{"default":null,"description":"Source from which the front view image was retrieved.","title":"Source","type":"string","nullable":true},"timestamp":{"description":"Unix timestamp of when the image was stored.","title":"Timestamp","type":"integer","nullable":true}},"required":["numberId"],"title":"FrontViewImage","type":"object"},"ErrorObject":{"properties":{"code":{"type":"integer","title":"Code"},"message":{"type":"string","title":"Message"},"errors":{"items":{"$ref":"#/components/schemas/ErrorDetail"},"type":"array","title":"Errors"}},"type":"object","required":["code","message","errors"],"title":"ErrorObject"},"ErrorDetail":{"properties":{"reason":{"type":"string","title":"Reason"},"message":{"type":"string","title":"Message"}},"type":"object","required":["reason","message"],"title":"ErrorDetail"}}},"paths":{"/get_front_view":{"get":{"description":"Retrieve URLs for images with front views of objects.","operationId":"getFrontView","parameters":[{"required":true,"style":"form","explode":false,"schema":{"items":{"type":"string"},"type":"array"},"name":"bagNumIds","in":"query"}],"responses":{"200":{"description":"FrontViewImageResponse","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/GetFrontViewInput"},"data":{"$ref":"#/components/schemas/FrontViewImageResponse"},"error":{"additionalProperties":{"type":"string"},"type":"object"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["data","status"]}}}},"400":{"description":"HTTP 400","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/GetFrontViewInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"401":{"description":"HTTP 401","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/GetFrontViewInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"403":{"description":"HTTP 403","content":{"application/json":{"schema":{"properties":{"message":{"type":"string"}},"type":"object","required":["message"]}}}},"404":{"description":"HTTP 404","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/GetFrontViewInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"500":{"description":"HTTP 500","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/GetFrontViewInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}}}}}}}
```

## The HouseImagesResponse object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"1.0.0"},"components":{"schemas":{"HouseImagesResponse":{"properties":{"address":{"description":"Address","allOf":[{"$ref":"#/components/schemas/Address"}]},"imagesDate":{"type":"string","format":"date","title":"Imagesdate","description":"Date of the images"},"images":{"items":{"type":"string"},"type":"array","title":"Images","description":"List of image URLs of the property."}},"type":"object","required":["address","imagesDate","images"],"title":"HouseImagesResponse"},"Address":{"properties":{"postalCode":{"description":"Postal code","title":"Postalcode","type":"string"},"houseNumber":{"description":"House number","title":"Housenumber","type":"integer"},"houseLetter":{"default":null,"description":"House letter","title":"Houseletter","type":"string","nullable":true},"houseNumberExt":{"default":null,"description":"House number extension","title":"Housenumberext","type":"string","nullable":true}},"required":["postalCode","houseNumber"],"title":"Address","type":"object"}}}}
```

## The FrontViewImageResponse object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"1.0.0"},"components":{"schemas":{"FrontViewImageResponse":{"properties":{"items":{"items":{"$ref":"#/components/schemas/FrontViewImage"},"type":"array","title":"Items"}},"type":"object","required":["items"],"title":"FrontViewImageResponse"},"FrontViewImage":{"properties":{"imageUrl":{"default":null,"description":"URL of the front view image of the property.","title":"Imageurl","type":"string","nullable":true},"numberId":{"description":"BAG nummeraanduiding ID of the property.","title":"Numberid","type":"string"},"source":{"default":null,"description":"Source from which the front view image was retrieved.","title":"Source","type":"string","nullable":true},"timestamp":{"description":"Unix timestamp of when the image was stored.","title":"Timestamp","type":"integer","nullable":true}},"required":["numberId"],"title":"FrontViewImage","type":"object"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.matrixian.com/woningdata/woningfotos-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
